<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class Admin_Services_Controller extends Admin_Controller {
  public function index() {
    print $this->_get_view();
  }

  public function handler() {
    access::verify_csrf();

    $form = $this->_get_form();
    if ($form->validate()) {
      module::set_var(
        "services", "code", $form->services->services_code->value);
      module::set_var(
        "services", "title", $form->services->services_title->value);
	  module::set_var (
	    "services", "hidden", $form->services->services_hidden->value);
      message::success(t("Your settings have been saved."));
      url::redirect("admin/services");
    }

    print $this->_get_view($form);
  }

  private function _get_view($form=null) {
    $v = new Admin_View("admin.html");
    $v->content = new View("admin_services.html");
    $v->content->form = empty($form) ? $this->_get_form() : $form;
    return $v;
  }

  private function _get_form() {
    $form = new Forge("admin/services/handler", "", "post", array("id" => "g-admin-form"));
    $group = $form->group("services");
    $group->input("services_title")->label(t('Enter the headline.'))->value(module::get_var("services", "title"));
    $group->textarea("services_code")->label(t('Enter the standard HTML code you want on the page.'))->value(module::get_var("services", "code"));
    $group->checkbox("services_hidden")->label(t("Hide link"))
    	->checked(module::get_var("services", "hidden", false) == 1);
    $group->submit("submit")->value(t("Save"));

    return $form;
  }
}